- Home
- API Enriched
- Virtual
- ml
- GET API Endpoints Stats for Virtual Host.
GET API Endpoints Stats for Virtual Host.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoints/stats';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoints/stats \ --header 'Authorization: <Authorization>'GET API endpoints stats for the given Virtual Host.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the App type for current request.
Virtual Host Name Virtual Host for current request.
Responses
Section titled “Responses”A successful response.
Response shape for GET API endpoints Stats.
object
Number of endpoints that categorized as discover.
Number of endpoints that categorized as inventory.
Number of endpoints that detected with pii.
Number of endpoints that categorized as shadow.
Total endpoints.
Examplegenerated
{ "discovered": 1, "inventory": 1, "pii_detected": 1, "shadow": 1, "total_endpoints": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example